/* Custom CSS for black theme */
@font-face {
  font-family: 'Raleway';
  src: url('../font/raleway.otf') format('woff2'),
      url('../font/raleway.woff') format('woff'),
      url('../font/raleway.ttf') format('truetype'),
      url('../font/raleway.otf') format('otf');
}

body {
    background-image: url(../images/homebg.jpg);
    background-color: #000;
    background-size: cover;
    color: #fff;
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  
  
  #header {    
    text-align: center;
  }
  
  #header h1 {
    margin: 0;
    font-size: 24px;
    color: #fff;
    letter-spacing: 2px;
    text-transform: lowercase;
    font-size: 96px;
    text-shadow: 0 0 10px #c284f5,
                 0 0 10px #662589,
                 0 0 30px #662589,
                 0 0 40px #c284f5,
                 0 0 50px #662589,
                 0 0 60px #c284f5,
                 0 0 70px #662589,
                 0 0 80px #000000;
  }
  
  #header img {
    width: 80%;
    height: auto;
  }
  
  #content {
    text-align: center;
    margin-top: -4%;
  }
  
  #content h1 {
    font-size: 24px;
    cursor:pointer;
    text-transform: uppercase;
    line-height: 1.5;
    margin-bottom: 20px;
  }
  
  #searchbar {
    text-align: center;
    margin: 20px auto;
  }
  
  .form__input {
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    width: 300px;
    box-shadow: 0 0 5px rgba(255, 255, 255, 0.3);
    background-color: rgba(0,0,0,0.5);
    text-align: center;
    color: #fff;
    cursor:cell;
  }
  
  a {
    text-decoration: none;
    color:white;
    width:50px;
    height:50px;
    padding-right: 1px;
    padding-left: 1px;
    text-align: center;
    align-self: center;
    cursor: pointer;
  }
  
  .form__input::placeholder {
    color: #fff;
    text-align: center;
  }
  
  .form_input:hover{
    cursor:cell;
  }
  
  .form__input:focus {
    outline: none;
    box-shadow: 0 0 5px rgba(255, 255, 255, 0.5);
  }
  @import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');
  #footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height:15px;
    background-color: rgba(0,0,0,0.4);
    backdrop-filter: blur(4px);
    padding-top: 7.5px;
    padding-bottom: 10px;
    text-align: center;
    color: #fff;
    font-size: 14px;
  }
  
  #footer p {
    margin: 0;
  }
  
  #canvas {
      display: block;
      position: fixed;  /* Cover the viewport */
      top: 0;
      left: 0;
      width: 100vw;  /* 100% of the viewport width */
      height: 100vh; /* 100% of the viewport height */
      
      pointer-events: none; /* Prevents canvas from interfering with interactions */
  }
  
              #popularSites img {
                  width: 50px;
                  height: 50px;
                  margin: 10px;
                  cursor: pointer;
                  border-radius: 10px;
                  transition: transform 0.2s;
              }
              #popularSites img:hover {
                  transform: scale(1.1);
              }
  
              #bigTitle img {
                 width: 75vw;
              }
  
  
  .fa {
    font-size: 24px;
    margin-right: 10px;
    color: #fff;
  }
  
  .fa:hover {
    color: #aaa;
  }
#popularSites > img {
  filter:grayscale(100) brightness(150%);
}
#popularSites > img:hover {
  filter:grayscale(100) brightness(150%) opacity(0.5) drop-shadow(0 0 0 rgb(111, 32, 237));
}
.homepage-container {
  margin-top: auto;
  margin-bottom: auto;
}
.fade-in {
  opacity: 0;
  transition: opacity 0.3s cubic-bezier(.09,.22,0,.76);
}

.visible {
  opacity: 1;
}